Summary: Scalable distributed SCM
Name: mercurial
Version: 0.9.3
Release: %mkrel 1
Source0: http://www.selenic.com/mercurial/release/%{name}-%{version}.tar.bz2
URL: http://www.selenic.com/mercurial/
License: GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: python-devel
BuildRequires: xmlto
BuildRequires: asciidoc
BuildRequires: rcs

%description
Mercurial is a fast, lightweight source control management system
designed for efficient handling of very large distributed
projects. Features include:

    * O(1) delta-compressed file storage and retrieval scheme
    * Complete cross-indexing of file and changesets for efficient exploration
    of project history
    * Robust SHA1-based integrity checking and append-only storage model
    * Decentralized development model with arbitrary merging between trees
    * High-speed HTTP-based network merge protocol
    * Easy-to-use command-line interface
    * Integrated stand-alone web interface
    * Small Python codebase

%prep
%setup -q

%build
python setup.py build

# build doc
(
cd doc
%make
)

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_mandir/man1
install -m644 doc/*.1 $RPM_BUILD_ROOT%_mandir/man1/

mkdir -p $RPM_BUILD_ROOT%_mandir/man5
install -m644 doc/*.5 $RPM_BUILD_ROOT%_mandir/man5/

%check
# to avoid problems with nfs
export TMPDIR=/tmp
cd tests
./run-tests.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING CONTRIBUTORS README
%{py_platsitedir}/*
%_bindir/hg*
%_mandir/man*/*



%changelog
* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.9.3-1mdv2007.0
+ Revision: 100353
- 0.9.3

* Mon Dec 18 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.9.2-2mdv2007.1
+ Revision: 98735
- bump release
- 0.9.2

* Wed Dec 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9-2mdv2007.1
+ Revision: 91457
- rebuild with new python

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import mercurial-0.9-1mdk


* Fri May 12 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.9-1mdk
- New release 0.9

* Wed Feb 01 2006 Gaetan Lehmann <glehmann@deborah.mandriva.com> 0.8-2mdk
- fix build on x86_64 (drop patch0)

* Tue Jan 31 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8-1mdk
- New release 0.8

* Thu Oct 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-2mdk
- Fix BuildRequires

* Tue Oct 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7-1mdk
- New release 0.7

* Thu Sep 08 2005 Gaetan Lehmann <glehmann@mandrakesoft.com> 0.6c-1mdk
- New release 0.6c
- generate doc with asciidoc
- make tests
- patch0: better detection of lib name to allow tests to run on 32 bits
  system with a /usr/lib64 directory (like n4 on mandriva cluster)

* Thu Jun 02 2005 Frederic Lepied <flepied@mandriva.com> 0.5b-1mdk
- initial package

